source NEW ubuntu-extras-keyring and upload new ubuntu-meta

Bug #645436 reported by Michael Vogt on 2010-09-22
86
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Mythbuntu
Fix Released
Undecided
Unassigned
ubuntu-meta (Ubuntu)
High
Unassigned
Maverick
High
Unassigned

Bug Description

There is a new package "ubuntu-extras-keyring" that contains the archive signing key for extras.ubuntu.com

That needs to be seeded once its through SOURCE NEW (fix commited to bzr).

This is a bugreport to ensure this is ready for final.

Michael Vogt (mvo) on 2010-09-22
Changed in ubuntu-meta (Ubuntu):
milestone: none → ubuntu-10.10
summary: - seed ubuntu-extras-keyring
+ source NEW ubuntu-extras-keyring and upload new ubuntu-meta
Changed in ubuntu-meta (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → Medium
Michael Vogt (mvo) on 2010-09-24
Changed in ubuntu-meta (Ubuntu Maverick):
importance: Medium → High
description: updated
Colin Watson (cjwatson) wrote :

Processed through NEW; ubuntu-meta uploaded and waiting for approval.

Changed in ubuntu-meta (Ubuntu Maverick):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.206

---------------
ubuntu-meta (1.206) maverick; urgency=low

  * Refreshed dependencies
  * Added ubuntu-extras-keyring to desktop (LP: #645436)
 -- Colin Watson <email address hidden> Sun, 26 Sep 2010 18:04:39 +0100

Changed in ubuntu-meta (Ubuntu Maverick):
status: In Progress → Fix Released
fuggum (fuggum) wrote :

i see it listed in ubuntu-desktop 1.206.

will this eventually get included in kubuntu-desktop (1.203 as of today), or is additional action required?

not sure if needed in other *buntu meta packages....
thanks,
cheers

Joost Ringoot (joost) wrote :

It is not installed automaticly by upgrade from ubuntu 10.4 to 10.10
I think it should, since it is pretty essential if you want to keep your system up to date.

In another bugreport I found this workaround:
 apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 16126D3A3E5C1192

which works fine for me

Joost Ringoot (joost) wrote :

There are still strange things in this package: It contains a typo: "extas" instead of "extras" and it mentions "removal keyring":

root@legolas:~# apt-get install ubuntu-extras-keyring
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  kdesudo update-manager-kde
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed
  ubuntu-extras-keyring
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 3,320B of archives.
After this operation, 49.2kB of additional disk space will be used.
Get:1 http://archive.monubuntu.fr/ maverick/main ubuntu-extras-keyring all 2010.09.17 [3,320B]
Fetched 3,320B in 0s (42.8kB/s)
Selecting previously deselected package ubuntu-extras-keyring.
(Reading database ... 224566 files and directories currently installed.)
Unpacking ubuntu-extras-keyring (from .../ubuntu-extras-keyring_2010.09.17_all.deb) ...
Setting up ubuntu-extras-keyring (2010.09.17) ...
Importing extas.ubuntu.com keyring
OK
Processing extas.ubuntu.com removal keyring
OK
root@legolas:~#

philinux (philcb) wrote :

Just reinstalled with 27/9/10 daily and this persists.
ubuntu in-target: W
Sep 27 12:28:39 ubuntu in-target: :
Sep 27 12:28:39 ubuntu in-target: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192
Sep 27 12:28:39 ubuntu in-target:
Sep 27 12:28:39 ubuntu in-target: W
Sep 27 12:28:39 ubuntu in-target: :
Sep 27 12:28:39 ubuntu in-target: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release
Sep 27 12:28:39 ubuntu in-target:
Sep 27 12:28:39 ubuntu in-target: W
Sep 27 12:28:39 ubuntu in-target: :
Sep 27 12:28:39 ubuntu in-target: Some index files failed to download, they have been ignored, or old ones used instead.
Sep 27 12:28:39 ubuntu in-target:
Sep 27 12:28:41 ubuntu in-target: Reading package lists...
Sep 27 12:28:41 ubuntu in-target:

girts (girtsz) wrote :

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release

W: Some index files failed to download, they have been ignored, or old ones used instead.

I stil have this problem with 10.10 daily 28.09 version.

Changed in ubuntu-meta (Ubuntu Maverick):
status: Fix Released → Fix Committed
Michael Vogt (mvo) wrote :

The problem in this bugreport is fixed (new he keyring and include it in the default install). However there is a problem with the livecd build script that caused the key to not be present. This is fixed now too so I close this bug. And I will fix the typos (they are harmless, just in the output message, not in the code itself).

Changed in ubuntu-meta (Ubuntu Maverick):
status: Fix Committed → Fix Released
Salih EMIN (salih-emin) wrote :

Actually about 5 days ago I downloaded the 64bit CD from ubuntu.com website and did a clean install of 10.10 and I am still getting this error:

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY DB141E2302FDF932

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release

W: Some index files failed to download, they have been ignored, or old ones used instead.

Is this bug still an issue ?

GordonSchumacher (eleccham) wrote :

This package now exists, at least in Maverick - running "apt-get install ubuntu-extras-keyring" solved the problem for me. After that "apt-get update" works without complaint.

Thomas Mashos (tgm4883) on 2011-05-15
Changed in mythbuntu:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers